Package org.osgi.framework.namespace

# Class NativeNamespace

java.lang.Object
org.osgi.resource.Namespace
org.osgi.framework.namespace.NativeNamespace

public final class NativeNamespace extends Namespace
Native Capability and Requirement Namespace.

This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

Author:
  $Id: NativeNamespace.java 1614569 2014-07-30 07:22:32Z cziegeler $

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CAPABILITY_LANGUAGE_ATTRIBUTE`
The capability attribute contains the `org.osgi.framework.language` launching property value.
`static final String`
`CAPABILITY_OSNAME_ATTRIBUTE`
The capability attribute contains alias values of the `org.osgi.framework.os.name` launching property value according to the OSGi Specification References.
`static final String`
`CAPABILITY_OSVERSION_ATTRIBUTE`
The capability attribute contains a `Version` parsed from the `org.osgi.framework.os.version` launching property value.
`static final String`
`CAPABILITY_PROCESSOR_ATTRIBUTE`
The capability attribute contains alias values of the `org.osgi.framework.processor` launching property value according to the OSGi Specification References.
`static final String`
`NATIVE_NAMESPACE`
Namespace name for native capabilities and requirements.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NATIVE_NAMESPACE

public static final String NATIVE_NAMESPACE
Namespace name for native capabilities and requirements.

See Also:
  - Constant Field Values

### CAPABILITY_OSNAME_ATTRIBUTE

public static final String CAPABILITY_OSNAME_ATTRIBUTE
The capability attribute contains alias values of the `org.osgi.framework.os.name` launching property value according to the OSGi Specification References. The value of this attribute must be of type `List<String>`.

See Also:
  - Constant Field Values

### CAPABILITY_OSVERSION_ATTRIBUTE

public static final String CAPABILITY_OSVERSION_ATTRIBUTE
The capability attribute contains a `Version` parsed from the `org.osgi.framework.os.version` launching property value. The value of this attribute must be of type `Version`.

See Also:
  - Constant Field Values

### CAPABILITY_PROCESSOR_ATTRIBUTE

public static final String CAPABILITY_PROCESSOR_ATTRIBUTE
The capability attribute contains alias values of the `org.osgi.framework.processor` launching property value according to the OSGi Specification References. The value of this attribute must be of type `List<String>`.

See Also:
  - Constant Field Values

### CAPABILITY_LANGUAGE_ATTRIBUTE

public static final String CAPABILITY_LANGUAGE_ATTRIBUTE
The capability attribute contains the `org.osgi.framework.language` launching property value. The value of this attribute must be of type `String`.

See Also:
  - Constant Field Values